aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEd Warnicke <eaw@cisco.com>2016-05-03 16:47:50 -0500
committerEd Warnicke <hagbard@gmail.com>2016-05-04 01:50:47 +0000
commitd6a779c41160f5ff50a6bfa2114bedcca12605e0 (patch)
tree597725fceb9ad5a05314f36c6fe2845214cffca5
parent5657c5c80884d630731ddb1acc90c7a66b78b32c (diff)
Fix for unattended in Makefile
Also works around verify Change-Id: I79ac470ec3fa9943c3a0913ebfaaf91176eb9a81 Signed-off-by: Ed Warnicke <eaw@cisco.com>
-rw-r--r--Makefile2
-rwxr-xr-xbuild-root/vagrant/build.sh12
2 files changed, 13 insertions, 1 deletions
diff --git a/Makefile b/Makefile
index f9a95437559..226c7951ca5 100644
--- a/Makefile
+++ b/Makefile
@@ -128,7 +128,7 @@ else ifneq ("$(wildcard /etc/redhat-release)","")
@sudo yum groupinstall $(CONFIRM) $(RPM_DEPENDS_GROUPS)
@sudo yum install $(CONFIRM) $(RPM_DEPENDS)
@sudo yum install $(CONFIRM) --enablerepo=epel $(EPEL_DEPENDS)
- @sudo debuginfo-install glibc-2.17-106.el7_2.4.x86_64 openssl-libs-1.0.1e-51.el7_2.4.x86_64 zlib-1.2.7-15.el7.x86_64
+ @sudo debuginfo-install $(CONFIRM) glibc-2.17-106.el7_2.4.x86_64 openssl-libs-1.0.1e-51.el7_2.4.x86_64 zlib-1.2.7-15.el7.x86_64
else
$(error "This option currently works only on Ubuntu or Centos systems")
endif
diff --git a/build-root/vagrant/build.sh b/build-root/vagrant/build.sh
index aaaa62f69f4..7fd7e3a6cff 100755
--- a/build-root/vagrant/build.sh
+++ b/build-root/vagrant/build.sh
@@ -42,6 +42,18 @@ make wipe
(cd build-root/;make distclean)
rm -f build-root/.bootstrap.ok
+if [ $DISTRIB_ID == "CentOS" ]; then
+ echo rpm -V apr-devel
+ rpm -V apr-devel
+ if [ $? != 0 ]; then sudo yum reinstall -y apr-devel;fi
+ echo rpm -V ganglia-devel
+ rpm -V ganglia-devel
+ if [ $? != 0 ]; then sudo yum reinstall -y ganglia-devel;fi
+ echo rpm -V libconfuse-devel
+ rpm -V libconfuse-devel
+ if [ $? != 0 ]; then sudo yum reinstall -y libconfuse-devel;fi
+fi
+
# Build and install packaging
$SUDOCMD make bootstrap
if [ $DISTRIB_ID == "Ubuntu" ]; then